MediaWiki:Fandomdesktop.css: Difference between revisions

Jump to navigation Jump to search
No edit summary
add stuff for Template:Latest Edits
Line 8: Line 8:


.skin-fandomdesktop .page-content {
.skin-fandomdesktop .page-content {
  overflow: inherit;
overflow: inherit;
}
}


/* Skin Alters */
/* Skin Alters */
/* Mainpage Styles */
/* Mainpage Styles */
.Mainpage-border {
.Mainpage-border {
    background: var(--theme-color-5);
background: var(--theme-color-5);
    border: 2px solid var(--theme-accent-color);
border: 2px solid var(--theme-accent-color);
    border-radius: 3px;
border-radius: 3px;
    margin-top: 10px;
margin-top: 10px;
    margin-bottom: 10px;
margin-bottom: 10px;
}
}


.Mainpage-header {
.Mainpage-header {
    background: var(--theme-accent-color);
background: var(--theme-accent-color);
    border-radius: 2px;
border-radius: 2px;
    color: #000000;
color: #000000;
    font-size: 1.4em;
font-size: 1.4em;
    padding: 1px;
padding: 1px;
    margin-bottom: 10px;
margin-bottom: 10px;
    font-family: 'BarlowBold', sans-serif;
font-family: 'BarlowBold', sans-serif;
}
}


.Mainpage-header-link {
.Mainpage-header-link {
    color: #000000;
color: #000000;
}
}
.page__main {
.page__main {
    padding: 23px 15px 15px 30px;
padding: 23px 15px 15px 30px;
}
}
.mainpage .page__main {
.mainpage .page__main {
Line 41: Line 41:
}
}
.page {
.page {
    border-left: 1px solid var(--theme-color-4);
border-left: 1px solid var(--theme-color-4);
    border-right: 1px solid var(--theme-color-4);
border-right: 1px solid var(--theme-color-4);
    border-bottom: 1px solid var(--theme-color-4);
border-bottom: 1px solid var(--theme-color-4);
    border-radius: 3px;
border-radius: 3px;
}
}
.theme-fandomdesktop-light .page {
.theme-fandomdesktop-light .page {
Line 59: Line 59:
text-shadow: 0px 2px 2px #ffffff80;
text-shadow: 0px 2px 2px #ffffff80;
background-size: cover;
background-size: cover;
    background-image: linear-gradient(rgba(249, 245, 242, 0.8),
background-image: linear-gradient(rgba(249, 245, 242, 0.8),
                      rgba(249, 245, 242, 0.6)), url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/b/b5/Site-background-light/revision/latest?cb=20250829091827&format=original');
  rgba(249, 245, 242, 0.6)), url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/b/b5/Site-background-light/revision/latest?cb=20250829091827&format=original');
}
}
/** Dark Mode **/
/** Dark Mode **/
Line 67: Line 67:
text-shadow: 0px 2px 2px #00000080;
text-shadow: 0px 2px 2px #00000080;
background-size: cover;
background-size: cover;
    background-image: url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/0/08/Site-background-dark/revision/latest?cb=20250829091822&format=original');
background-image: url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/0/08/Site-background-dark/revision/latest?cb=20250829091822&format=original');
}
}


Line 94: Line 94:
/* Hatnote styling */
/* Hatnote styling */
.hatnote {
.hatnote {
    border-left: 3px solid var(--theme-accent-color);
border-left: 3px solid var(--theme-accent-color);
    padding: 3px 10px;
padding: 3px 10px;
    border-radius: 3px;
border-radius: 3px;
    background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
    margin: 5px 0;
margin: 5px 0;
}
}


Line 119: Line 119:


/* Reduce bottom margin of lists */
/* Reduce bottom margin of lists */
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }


/* inline unordered list seperated by pipe */
/* inline unordered list seperated by pipe */
Line 133: Line 133:
width: 290px;
width: 290px;
}
}
.discord-widget .widget-header { background-color: var(--theme-accent-color); }
.discord-widget .widget-header {  
 
background-color: var(--theme-accent-color);
}
.discord-widget .widget-footer {
.discord-widget .widget-footer {
  background-color: var(--theme-page-background-color);
background-color: var(--theme-page-background-color);
  box-shadow: none;
box-shadow: none;
};
}
 
.discord-widget .widget-theme-light .widget-btn-connect {
.discord-widget .widget-theme-light .widget-btn-connect {
background-color: var(--theme-link-color);
background-color: var(--theme-link-color);
Line 145: Line 145:
border: none;
border: none;
}
}
/* [[Template:Latest Edits]] Fix for UCP */
#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-tags,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed td.mw-enhanced-rc,
#ActivityFeed .mw-changeslist-legend,
#ActivityFeed .mw-changeslist-line-inner-historyLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAfterLinks,
#ActivityFeed .mw-changeslist-line-inner-characterDiff,
#ActivityFeed .mw-changeslist-line-inner-comment,
#ActivityFeed .activity-tabs,
#ActivityFeed .activity-summary {
    display: none;
}
#ActivityFeed .mw-changeslist-line-inner-userLink:before {
    content: "\00000A\000009edited\0000A0by ";
    white-space: pre-wrap;
}
#ActivityFeed .mw-changeslist-line-inner {
    text-align: left;
}
/* End [[Template:Latest Edits]] Fix for UCP */


.navtabs * { width: 100% }
.navtabs * { width: 100% }
Line 210: Line 236:


hr {
hr {
    margin: 5px 0;
margin: 5px 0;
    border: none;
border: none;
    height: 1px;
height: 1px;
    color: var(--theme-border-color);
color: var(--theme-border-color);
    background-color: var(--theme-border-color);
background-color: var(--theme-border-color);
}
}


Line 356: Line 382:
/* format code */
/* format code */
code, .custom-formatting-code:not(.custom-formatting-plain) {
code, .custom-formatting-code:not(.custom-formatting-plain) {
    background-color: var(--theme-page-background-color--secondary);
background-color: var(--theme-page-background-color--secondary);
    border: 1px solid var(--theme-border-color);
border: 1px solid var(--theme-border-color);
    border-radius: 2px;
border-radius: 2px;
    padding: 1px 4px;
padding: 1px 4px;
    font-family: monospace;
font-family: monospace;
}
}
/* For [[Module:Formatting]] */
/* For [[Module:Formatting]] */
Line 388: Line 414:
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortDown::before,
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortDown::before,
.article-table.fandom-table.jquery-tablesorter th:not(.headerSortUp).headerSort::after {
.article-table.fandom-table.jquery-tablesorter th:not(.headerSortUp).headerSort::after {
    clip-path: none;
clip-path: none;
    -webkit-clip-path: none
-webkit-clip-path: none
}
}
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortUp::after { display: flex }
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortUp::after { display: flex }
Line 400: Line 426:
/* [[Template:Description]] styles */
/* [[Template:Description]] styles */
div.description-wrapper {
div.description-wrapper {
    border: 1px solid var(--border-color);
border: 1px solid var(--border-color);
    overflow: hidden;
overflow: hidden;
    border-radius: 8px;
border-radius: 8px;
    background: #bf8c4015;
background: #bf8c4015;
}
}
div.description-content {
div.description-content {
    font-size: 15px;
font-size: 15px;
    text-align: left;
text-align: left;
    overflow: auto;
overflow: auto;
    line-height: 1.35em;
line-height: 1.35em;
    padding: 12px 12px 12px 12px;
padding: 12px 12px 12px 12px;
}
}
div.description-source {
div.description-source {
    font-size: 15px;
font-size: 15px;
    overflow: auto;
overflow: auto;
    padding: 5px 12px;
padding: 5px 12px;
}
}
hr.description-separator {
hr.description-separator {
    width: 97.5%;
width: 97.5%;
    margin: auto;
margin: auto;
}
}
div.description-title {
div.description-title {
    font-size: 15px;
font-size: 15px;
    text-align: left;
text-align: left;
    overflow: auto;
overflow: auto;
    padding: 10px 12px 6px;
padding: 10px 12px 6px;
}
}
   
   
Line 476: Line 502:
.edittools-list div.mw-collapsible {
.edittools-list div.mw-collapsible {
padding: 0;
padding: 0;
    display: inline;
display: inline;
}
}
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }